> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# HappyHorse 1.0 参考视频生成

> - HappyHorse 1.0 多角色参考生视频模型，1-9 张参考图驱动视频生成
- prompt 中可使用 `@Image1` ~ `@Image9` 引用对应参考图
- 支持 `720p` / `1080p` 输出，3-15 秒时长
- 异步处理模式，使用返回的任务ID [进行查询](/pages/zh/api-manual/task-management/get-task-detail)
- 生成的视频链接，有效期为24小时，请尽快保存




## OpenAPI

````yaml openapi/zh/happyhorse-1.0-reference-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: HappyHorse 1.0 Reference to Video
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > HappyHorse
      summary: HappyHorse 1.0 Reference to Video
      description: >
        - HappyHorse 1.0 多角色参考生视频模型，1-9 张参考图驱动视频生成

        - prompt 中可使用 `@Image1` ~ `@Image9` 引用对应参考图

        - 支持 `720p` / `1080p` 输出，3-15 秒时长

        - 异步处理模式，使用返回的任务ID
        [进行查询](/pages/zh/api-manual/task-management/get-task-detail)

        - 生成的视频链接，有效期为24小时，请尽快保存
      operationId: happyhorse-1.0-reference-to-video
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HappyHorseR2VRequest'
            examples:
              single_character_reference:
                summary: Single-character reference
                value:
                  model: happyhorse-1.0-reference-to-video
                  prompt: '@Image1 dancing on a moonlit stage'
                  image_urls:
                    - https://example.com/character.jpg
                  aspect_ratio: '16:9'
                  duration: 5
                  resolution: 1080p
              multi_character_reference:
                summary: Multi-character reference
                value:
                  model: happyhorse-1.0-reference-to-video
                  prompt: '@Image1 and @Image2 training together at sunrise'
                  image_urls:
                    - https://example.com/athlete1.jpg
                    - https://example.com/athlete2.jpg
                  duration: 8
                  resolution: 720p
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    HappyHorseR2VRequest:
      type: object
      required:
        - model
        - prompt
        - image_urls
      properties:
        model:
          description: '`happyhorse-1.0-reference-to-video`：参考图生视频'
          examples:
            - happyhorse-1.0-reference-to-video
          type: string
          default: happyhorse-1.0-reference-to-video
        prompt:
          description: |
            视频生成提示词，可使用 `@Image1` ~ `@Image9` 引用对应参考图

            **说明：**
            - 最多 `2500` 个字符
          maxLength: 2500
          type: string
          example: '@Image1 and @Image2 training together at sunrise'
        image_urls:
          description: |
            参考图片 URL 列表，1-9 张

            **说明：**
            - 支持 JPEG / PNG / WEBP
            - 短边 ≥ `400px`
            - 每张图片大小上限 `10MB`
            - 数组顺序对应 prompt 中的 `@Image1` ~ `@Image9`
          items:
            type: string
          maxItems: 9
          minItems: 1
          type: array
          example:
            - https://example.com/character.jpg
        aspect_ratio:
          default: '16:9'
          description: |
            输出视频宽高比

            **可选值：** `16:9`、`9:16`、`1:1`、`4:3`、`3:4`
          enum:
            - '16:9'
            - '9:16'
            - '1:1'
            - '4:3'
            - '3:4'
          type: string
          example: '16:9'
        duration:
          default: 5
          description: 输出视频时长（秒），支持 `3-15` 的整数秒
          maximum: 15
          minimum: 3
          type: integer
          example: 3
        resolution:
          default: 1080p
          description: 输出视频分辨率，可选 `720p` 或 `1080p`
          enum:
            - 720p
            - 1080p
          type: string
          example: 720p
        seed:
          anyOf:
            - maximum: 2147483647
              minimum: 0
              type: integer
            - type: 'null'
          default: null
          description: 随机种子，用于提升结果复现性
          example: 123
        enable_safety_checker:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: |-
            是否启用安全检查，不传则使用模型默认行为

            > 非必须不要传这个参数。
          x-advanced: true
          example: true
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: 任务创建时间戳
          example: 1757165031
        id:
          type: string
          description: 任务ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: 实际使用的模型名称
        object:
          type: string
          description: 任务的具体类型
          enum:
            - video.generation.task
        progress:
          type: integer
          description: 任务进度百分比 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 任务状态
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: 异步任务信息
          properties:
            can_cancel:
              type: boolean
              description: 任务是否可以取消
              example: true
            estimated_time:
              type: integer
              description: 预计完成时间（秒）
              example: 45
        type:
          type: string
          description: 任务的输出类型
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求格式错误
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: API密钥无效
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 账户余额不足
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 参数校验失败
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求频率超限
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务器内部错误
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务暂不可用，请稍后重试
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: 任务创建成功
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: 请求格式错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: 未授权
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: 余额不足
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: 参数校验失败
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: 请求频率超限
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: 服务器内部错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: 服务暂不可用
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## 所有接口均需要使用Bearer Token进行认证 ##

        使用时在请求头中添加：

        `Authorization: Bearer YOUR_API_KEY`

````